# Copyright (c) 2005-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

%define _prefix	/usr

Name:			vamp-aubio-plugins
Summary:		A set of Vamp plugins for audio feature extraction using aubio
Group:			Productivity/Multimedia/Sound/Utilities
Version:		0.3.2c
Release:		2.3
License:		GPL
Source:			%{name}-%{version}.tar.gz
URL:			http://www.sonicvisualiser.org/
BuildRequires:	fftw3-devel
BuildRequires:	gcc-c++
BuildRequires:	libaubio-devel >= 0.3.2 libjack0
BuildRequires:	pkgconfig
BuildRequires:	vamp-plugin-sdk-devel
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-build

%description
A set of Vamp plugins (http://www.sonicvisualiser.org/vamp.html)
for audio feature extraction using Paul Brossier's aubio
(http://aubio.piem.org/).

This set includes three plugins: Onset for onset detection,
Pitch for pitch tracking, and Notes for combined onset and pitch.

Author: Chris Cannam



%prep
%setup -q -n %{name}-%{version}

%build
%__make %{?jobs:-j%{jobs}} \
	PLUGIN_LIBS="-lvamp-sdk -laubio -L%{_libdir} -lfftw3f"

%install
%__install -dm 755 %{buildroot}%{_libdir}/vamp
%__install -m 644 vamp-aubio.so \
	%{buildroot}%{_libdir}/vamp
%__install -m 644 vamp-aubio.cat \
	%{buildroot}%{_libdir}/vamp

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root,0755)
%doc COPYING README
%dir %{_libdir}/vamp
%{_libdir}/vamp/vamp-aubio.so
%{_libdir}/vamp/vamp-aubio.cat

%changelog
* Mon Dec  8 2008 toni@links2linux.de
- update to 0.3.2c
* Sun Mar 23 2008 toni@links2linux.de
- rebuild with new vamp-plugin-sdk
* Fri Oct 19 2007 toni@links2linux.de
- update to 0.3.2b
* Mon Sep 10 2007 toni@links2linux.de
- rebuild with new aubio-package
* Tue Mar 20 2007 toni@links2linux.de
- update to 0.3.2
- split off from sonic-visualiser
